function comp_test(cfl,tmax)
% function comp_test(cfl,tmax)
% Cas-test avec forte compression
% comp_test(0.6,0.1)

etat = [repmat([1.;5.;14.286],1,50),repmat([1.;-5.;14.286],1,51)];
dm = 0.016;

figure(2)
h = plot(dm*(0:size(etat,2)-1),etat(1,:).^(-1),'.')
title('Densite')
axis([0. 1.6 1. 6])
set(h,'EraseMode','xor')

t = 0;
while(t < tmax)
    
    cmax = 15.3; % Connu d'apres la solution exacte
    dt = (cfl*dm)/cmax;
    t = t + dt;
    display(['t = ',num2str(t),' / dt = ',num2str(dt)])
    flux_num = flux_roe([etat(:,1),etat],[etat,etat(:,end)]);
    etat = etat - (dt/dm)*(flux_num(:,2:end)-flux_num(:,1:end-1));
    set(h,'YData',etat(1,:).^(-1))
    drawnow
 
end

figure(1)
plot(dm*(0:size(etat,2)-1),etat(2,:),'.')
title('Vitesse')
figure(3)
plot(dm*(0:size(etat,2)-1),loi_etat(etat),'.')
title('Pression')
figure(4)
plot(dm*(0:size(etat,2)-1),etat(3,:)-((etat(2,:)).^(2))/2,'.')
title('Energie interne')
figure(2)
plot(dm*(0:size(etat,2)-1),etat(1,:).^(-1),'.')
title('Densite')
axis([0. 1.6 1. 6])